
TYPO3.Flow - Bug # 30351

Status: Resolved Priority: Must have
Author: Fernando Arconada Category: AOP
Created: 2011-09-27 Assigned To: Robert Lemke
Updated: 2011-09-28 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Can't use AOP with Repository
Description

If you write an aspect of a Repository and this Repository is injected via DI in your controller then FLOW3 fires an Exception when you
load your controller

Proof of Concept package and exception screenshot in the next URL

http://goo.gl/ntfGm

It happens FLOW3 master commit 87863f3dd1db5786c03ba9c2ee4f91b7b718ec59

Associated revisions
Revision 3e36de83 - 2011-09-28 14:43 - Robert Lemke

[BUGFIX] AOP proxies are no longer broken if __call() exists

If a class contains a magic __call() method, AOP proxy classes are
broken due to a is_callable() use – method_exists() in addition would
be correct.

Change-Id: Icf6bdf3f789162afbca61d7cf915dbb7ecd583d5
Fixes: #30351

History
#1 - 2011-09-28 14:13 - Robert Lemke
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#2 - 2011-09-28 14:14 - Robert Lemke
- Category set to AOP
- Target version set to 1.0.0

#3 - 2011-09-28 14:15 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Icf6bdf3f789162afbca61d7cf915dbb7ecd583d5 has been pushed to the review server.
It is available at http://review.typo3.org/5409
#4 - 2011-09-28 14:34 - Mr. Hudson

Patch set 2 of change Icf6bdf3f789162afbca61d7cf915dbb7ecd583d5 has been pushed to the review server.
It is available at http://review.typo3.org/5409

#5 - 2011-09-28 14:43 - Mr. Hudson

Patch set 3 of change Icf6bdf3f789162afbca61d7cf915dbb7ecd583d5 has been pushed to the review server.
It is available at http://review.typo3.org/5409

#6 - 2011-09-28 15:07 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3e36de833c1308ebf4aa3081f0d8e741e6085542.
